unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, db, FileUtil, Forms, Controls, Graphics, Dialogs, DBGrids,
  StdCtrls, ZMConnection, ZMQueryDataSet;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    DataSourceOrder: TDataSource;
    DBGrid1: TDBGrid;
    Orders: TZMQueryDataSet;
    ZMConnection1: TZMConnection;
    procedure Button1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormCreate(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);

begin
  ZMConnection1.DatabasePath:='./';
  ZMConnection1.Connect;
  Orders.CreateDataset;
  Orders.Active:=true;



end;

procedure TForm1.Button1Click(Sender: TObject);
var
  i,x:integer;
begin
  for i:=1 to 1000 do
  begin
       Orders.Append;
       for x:=0 to orders.FieldCount-1 do
       begin
            case  Orders.Fields[x].FieldDef.DataType of
            ftString:
                     Orders.Fields[x].asString:='x';
            ftInteger:
                      Orders.Fields[x].asInteger:=3;
            ftDateTime:
                       Orders.Fields[x].asDateTime:=date;
            end;
       end;
       Orders.Post;
  end;
end;

procedure TForm1.FormClose(Sender: TObject; var CloseAction: TCloseAction);
begin
  ZMConnection1.Disconnect;
end;

end.

